<div *ngIf="displayForms">

  <form class="formAchat" [formGroup]="loginForm" (ngSubmit)="submitLogin()" *ngIf="!change_password; else changePassword">
    <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">SE CONNECTER</div>

    <div class="form__container">
      <span class="form__libelle">Email</span>
      <input type="email" class="form__field" formControlName="email" email="true" name="email" required />
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Mot de passe</span>
      <input type="password" class="form__field" formControlName="password" name="password" required />
      <mat-divider></mat-divider>
    </div>

    <div style="text-align: center"><button mat-button type="submit" style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px" cdkFocusInitial>Se connecter</button></div>

    <mat-divider></mat-divider>
    <div class="form__container" style="text-align: center">
      <a routerLink="/mot_de_passe_oublie">J'ai oublié mon mot de passe comme un boloss.</a>
    </div>
  </form>


  <form class="formAchat" [formGroup]="signupForm" (ngSubmit)="submitSignup()" *ngIf="!change_password;">
    <mat-divider></mat-divider>
    <div style="margin-top: 50px; text-align: center; font-size: 200%; font-weight: bold">ENREGISTRER UN NOUVEAU COMPTE</div>

    <div class="form__container">
      <span class="form__libelle">Blaze</span>
      <input type="input" class="form__field" formControlName="nom" name="nom" required />
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Email</span>
      <input type="email" class="form__field" formControlName="email" email="true" name="email" required />
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Téléphone</span>
      <input type="input" class="form__field" formControlName="telephone" name="telephone" required />
      <mat-divider></mat-divider>
    </div>

    <div style="text-align: center"><button mat-button type="submit" style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px" cdkFocusInitial>S'inscrire</button></div>

  </form>

  <ng-template #changePassword>
    <form class="formAchat" [formGroup]="changePasswordForm" (ngSubmit)="submitChangePassword()">
      <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">CHANGER SON MOT DE PASSE</div>
      <div style="text-align: center; color: red; margin-top: 10px; margin-bottom: 10px">Le mot de passe doit faire 8 caractères avec au moins une majuscule, une minuscule, un chiffre et un caractère spécial.</div>

      <div class="form__container">
        <span class="form__libelle">Ancien mot de passe</span>
        <input type="password" class="form__field" formControlName="oldPassword" name="oldPassword" required />
        <mat-divider></mat-divider>
      </div>


      <div class="form__container">
        <span class="form__libelle">Nouveau mot de passe</span>
        <input type="password" class="form__field" formControlName="newPassword" name="newPassword" required />
        <mat-divider></mat-divider>
      </div>

      <div class="form__container">
        <span class="form__libelle">Retaper le nouveau mot de passe</span>
        <input type="password" class="form__field" formControlName="verification" name="verification" required />
        <mat-divider></mat-divider>
      </div>
      <div style="text-align: center"><button mat-button type="submit" style="vertical-align: super; margin-top: 10px; background-color: #673ab7; color: white; padding: 10px" cdkFocusInitial>Réinitialiser mot de passe</button></div>

    </form>

  </ng-template>
</div>
